All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies
Class MapResizeStrategy

    com.sas.actionprovider.strategies.MapResizeStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

    public class MapResizeStrategy

Strategy class used for the Map Resizing

Field Summary

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`MapResizeStrategy()` Default constructor.
`MapResizeStrategy(boolean swing, SelectorActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`int` | `getActionStatus(BaseAction action, ActionSupportFilter filter)` Returns a status value indicating whether the Action is enabled for a specific area as described by various filter attributes.
`protected void` | `initialize()` Initialize this strategy object.
`protected void` | `initializeActionAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes.

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getCustomAttributeValue, getDynamicValue, getUtilObject, initializeAction, isSwing, setActionAttributes, setLocaleDependentDefaultAttributes, setSwing, setUtilObject`

Constructor Detail

### MapResizeStrategy

    public MapResizeStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### MapResizeStrategy

    public MapResizeStrategy(boolean swing,
                             SelectorActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initializeActionAttributes

    protected void initializeActionAttributes(BaseAction action,
                                              java.lang.String areaType,
                                              java.util.Locale locale)

  Description copied from class: `BaseActionStrategy`

  Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes. values.

  This base implementation does nothing to the Action.

  Overrides:
    `initializeActionAttributes` in class `BaseActionStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### initialize

    protected void initialize()

  Description copied from class: `BaseActionStrategy`

  Initialize this strategy object.

  This method should be overridden to register the dynamic value information for specific strategies. Registration is accomplished via the `BaseActionStrategy.addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.Object, java.lang.String)` method. the

  Overrides:
    `initialize` in class `BaseActionStrategy`
  See Also:
    `#setReturnStatus`

### getActionStatus

    public int getActionStatus(BaseAction action,
                               ActionSupportFilter filter)

  Description copied from class: `BaseActionStrategy`
  Returns a status value indicating whether the Action is enabled for a specific area as described by various filter attributes.

  If enabled, the value is: ``ActionStatusKeysInterface.ENABLED``

  If disabled, the value may be one of the following values which indicate why the Action is disabled.

  - ``ActionStatusKeysInterface.VIEWER_DISABLED``
  - ``ActionStatusKeysInterface.AREA_DISABLED``
  - ``ActionStatusKeysInterface.MODEL_TYPE_DISABLED``
  - ``ActionStatusKeysInterface.MODEL_STATE_DISABLED``
  - ``ActionStatusKeysInterface.MODEL_MEMBER_DISABLED``
  - ``ActionStatusKeysInterface.IS_CURRENT_STATE_DISABLED``
  - ``ActionStatusKeysInterface.DISABLED``
  - ``ActionStatusKeysInterface.UNSUPPORTED``

  The status of an Action with a CommandSupportedInterface command whose `isSupported()` method returns false will have the `ActionStatusKeysInterface.UNSUPPORTED` status bit set.

  The status of an Action with a CommandStatusInterface command will have the status bit value returned by the command's `getCommandStatus()` method.

  The Action's status may also be set with bit values that are determined by the support class in addition to a command.

  Specified by:
    `getActionStatus` in interface `ActionStrategyInterface`
  Overrides:
    `getActionStatus` in class `BaseActionStrategy`
  Parameters:
    `action` - The action for which status is to be determined.
    `filter` - The ActionSupportFilter that encapsulates all information describing the specific area.
  Returns:
    the boolean indicating whether the Action is enabled
  See Also:
    `CommandSupportedInterface`, `CommandStatusInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.